<?php
// Return early if no widget found.
if ( ! is_active_sidebar( 'footer-1' ) || ! is_active_sidebar( 'footer-2' ) || ! is_active_sidebar( 'footer-3' ) || ! is_active_sidebar( 'footer-4' ) ) {
	return;
}
?>

<div class="sidebar-footer">
	<div class="container">

		<?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
			<div class="footer-column footer-column-1">
				<?php dynamic_sidebar( 'footer-1' ); ?>
			</div>
		<?php endif; ?>

		<?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
			<div class="footer-column footer-column-2">
				<?php dynamic_sidebar( 'footer-2' ); ?>
			</div>
		<?php endif; ?>

		<?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
			<div class="footer-column footer-column-3">
				<?php dynamic_sidebar( 'footer-3' ); ?>
			</div>
		<?php endif; ?>

		<?php if ( is_active_sidebar( 'footer-4' ) ) : ?>
			<div class="footer-column footer-column-4">
				<?php dynamic_sidebar( 'footer-4' ); ?>
			</div>
		<?php endif; ?>

	</div><!-- .container -->
</div><!-- #tertiary -->

