<?php
/**
 * Retina Logo Customizer
 */

/**
 * Register the customizer.
 */
function highstake_retina_logo_customize_register( $wp_customize ) {

	// Register footer branding setting
	$wp_customize->add_setting( 'highstake_retina_logo', array(
		'default'           => '',
		'sanitize_callback' => 'highstake_sanitize_number_absint'
	) );
	$wp_customize->add_control( new WP_Customize_Cropped_Image_Control( $wp_customize, 'highstake_retina_logo', array(
		'label'             => esc_html__( 'Retina Logo', 'highstake' ),
		'section'           => 'title_tagline',
		'priority'          => 9,
		'flex_width'        => true,
		'flex_height'       => true,
		'width'             => 500,
		'height'            => 100
	) ) );

}
add_action( 'customize_register', 'highstake_retina_logo_customize_register' );
